> ## Documentation Index
> Fetch the complete documentation index at: https://docs.alumio.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post tasksupdate waitingbulk

> Update tasks with waiting status in bulk



## OpenAPI

````yaml /schema.json post /tasks/update_waiting/bulk
openapi: 3.1.0
info:
  version: 01KVQG1C20MKD0B8FDPE4RHEDH
  title: Alumio API
  description: Access Alumio through OpenAPI v3.1.
servers:
  - url: /api/v1
security: []
paths:
  /tasks/update_waiting/bulk:
    post:
      tags:
        - Tasks
      description: Update tasks with waiting status in bulk
      operationId: updateWaitingTasks
      parameters:
        - name: space
          in: query
          description: Space Identifier
          required: false
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateWaitingTasksRequest'
      responses:
        '201':
          description: Number of tasks updated
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UpdateWaitingTasksResult'
        default:
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    UpdateWaitingTasksRequest:
      type: object
      properties:
        tasks:
          type: array
          minItems: 1
          required:
            - items
          items:
            type: object
            required:
              - identifier
              - status
              - messages
            properties:
              identifiers:
                type: array
                items:
                  type: string
              status:
                type: string
                enum:
                  - finished
                  - failed
              messages:
                items:
                  type: object
                  properties:
                    level:
                      type: string
                      enum:
                        - critical
                        - error
                        - warning
                        - notice
                        - info
                    message:
                      type: string
    UpdateWaitingTasksResult:
      type: object
      properties:
        numberOfTasks:
          type: number
        updatedTasks:
          type: object
    Error:
      type: object
      properties:
        status:
          type: string
        context:
          type: object
        type:
          type: string
        title:
          type: string
        detail:
          type: string
        violations:
          type: array
          items:
            type: object
            properties:
              title:
                type: string
              propertyPath:
                type: string
              type:
                type: string

````